/*******************************************************************************
* File Name: First_Digit.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_First_Digit_H) /* Pins First_Digit_H */
#define CY_PINS_First_Digit_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "First_Digit_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    First_Digit_Write(uint8 value) ;
void    First_Digit_SetDriveMode(uint8 mode) ;
uint8   First_Digit_ReadDataReg(void) ;
uint8   First_Digit_Read(void) ;
uint8   First_Digit_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define First_Digit_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define First_Digit_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define First_Digit_DM_RES_UP          PIN_DM_RES_UP
#define First_Digit_DM_RES_DWN         PIN_DM_RES_DWN
#define First_Digit_DM_OD_LO           PIN_DM_OD_LO
#define First_Digit_DM_OD_HI           PIN_DM_OD_HI
#define First_Digit_DM_STRONG          PIN_DM_STRONG
#define First_Digit_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define First_Digit_MASK               First_Digit__MASK
#define First_Digit_SHIFT              First_Digit__SHIFT
#define First_Digit_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define First_Digit_PS                     (* (reg8 *) First_Digit__PS)
/* Data Register */
#define First_Digit_DR                     (* (reg8 *) First_Digit__DR)
/* Port Number */
#define First_Digit_PRT_NUM                (* (reg8 *) First_Digit__PRT) 
/* Connect to Analog Globals */                                                  
#define First_Digit_AG                     (* (reg8 *) First_Digit__AG)                       
/* Analog MUX bux enable */
#define First_Digit_AMUX                   (* (reg8 *) First_Digit__AMUX) 
/* Bidirectional Enable */                                                        
#define First_Digit_BIE                    (* (reg8 *) First_Digit__BIE)
/* Bit-mask for Aliased Register Access */
#define First_Digit_BIT_MASK               (* (reg8 *) First_Digit__BIT_MASK)
/* Bypass Enable */
#define First_Digit_BYP                    (* (reg8 *) First_Digit__BYP)
/* Port wide control signals */                                                   
#define First_Digit_CTL                    (* (reg8 *) First_Digit__CTL)
/* Drive Modes */
#define First_Digit_DM0                    (* (reg8 *) First_Digit__DM0) 
#define First_Digit_DM1                    (* (reg8 *) First_Digit__DM1)
#define First_Digit_DM2                    (* (reg8 *) First_Digit__DM2) 
/* Input Buffer Disable Override */
#define First_Digit_INP_DIS                (* (reg8 *) First_Digit__INP_DIS)
/* LCD Common or Segment Drive */
#define First_Digit_LCD_COM_SEG            (* (reg8 *) First_Digit__LCD_COM_SEG)
/* Enable Segment LCD */
#define First_Digit_LCD_EN                 (* (reg8 *) First_Digit__LCD_EN)
/* Slew Rate Control */
#define First_Digit_SLW                    (* (reg8 *) First_Digit__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define First_Digit_PRTDSI__CAPS_SEL       (* (reg8 *) First_Digit__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define First_Digit_PRTDSI__DBL_SYNC_IN    (* (reg8 *) First_Digit__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define First_Digit_PRTDSI__OE_SEL0        (* (reg8 *) First_Digit__PRTDSI__OE_SEL0) 
#define First_Digit_PRTDSI__OE_SEL1        (* (reg8 *) First_Digit__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define First_Digit_PRTDSI__OUT_SEL0       (* (reg8 *) First_Digit__PRTDSI__OUT_SEL0) 
#define First_Digit_PRTDSI__OUT_SEL1       (* (reg8 *) First_Digit__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define First_Digit_PRTDSI__SYNC_OUT       (* (reg8 *) First_Digit__PRTDSI__SYNC_OUT) 


#if defined(First_Digit__INTSTAT)  /* Interrupt Registers */

    #define First_Digit_INTSTAT                (* (reg8 *) First_Digit__INTSTAT)
    #define First_Digit_SNAP                   (* (reg8 *) First_Digit__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins First_Digit_H */


/* [] END OF FILE */
