/*******************************************************************************
* File Name: AND_Q.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_AND_Q_H) /* Pins AND_Q_H */
#define CY_PINS_AND_Q_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AND_Q_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AND_Q_Write(uint8 value) ;
void    AND_Q_SetDriveMode(uint8 mode) ;
uint8   AND_Q_ReadDataReg(void) ;
uint8   AND_Q_Read(void) ;
uint8   AND_Q_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AND_Q_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define AND_Q_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define AND_Q_DM_RES_UP          PIN_DM_RES_UP
#define AND_Q_DM_RES_DWN         PIN_DM_RES_DWN
#define AND_Q_DM_OD_LO           PIN_DM_OD_LO
#define AND_Q_DM_OD_HI           PIN_DM_OD_HI
#define AND_Q_DM_STRONG          PIN_DM_STRONG
#define AND_Q_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define AND_Q_MASK               AND_Q__MASK
#define AND_Q_SHIFT              AND_Q__SHIFT
#define AND_Q_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AND_Q_PS                     (* (reg8 *) AND_Q__PS)
/* Data Register */
#define AND_Q_DR                     (* (reg8 *) AND_Q__DR)
/* Port Number */
#define AND_Q_PRT_NUM                (* (reg8 *) AND_Q__PRT) 
/* Connect to Analog Globals */                                                  
#define AND_Q_AG                     (* (reg8 *) AND_Q__AG)                       
/* Analog MUX bux enable */
#define AND_Q_AMUX                   (* (reg8 *) AND_Q__AMUX) 
/* Bidirectional Enable */                                                        
#define AND_Q_BIE                    (* (reg8 *) AND_Q__BIE)
/* Bit-mask for Aliased Register Access */
#define AND_Q_BIT_MASK               (* (reg8 *) AND_Q__BIT_MASK)
/* Bypass Enable */
#define AND_Q_BYP                    (* (reg8 *) AND_Q__BYP)
/* Port wide control signals */                                                   
#define AND_Q_CTL                    (* (reg8 *) AND_Q__CTL)
/* Drive Modes */
#define AND_Q_DM0                    (* (reg8 *) AND_Q__DM0) 
#define AND_Q_DM1                    (* (reg8 *) AND_Q__DM1)
#define AND_Q_DM2                    (* (reg8 *) AND_Q__DM2) 
/* Input Buffer Disable Override */
#define AND_Q_INP_DIS                (* (reg8 *) AND_Q__INP_DIS)
/* LCD Common or Segment Drive */
#define AND_Q_LCD_COM_SEG            (* (reg8 *) AND_Q__LCD_COM_SEG)
/* Enable Segment LCD */
#define AND_Q_LCD_EN                 (* (reg8 *) AND_Q__LCD_EN)
/* Slew Rate Control */
#define AND_Q_SLW                    (* (reg8 *) AND_Q__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AND_Q_PRTDSI__CAPS_SEL       (* (reg8 *) AND_Q__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AND_Q_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AND_Q__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AND_Q_PRTDSI__OE_SEL0        (* (reg8 *) AND_Q__PRTDSI__OE_SEL0) 
#define AND_Q_PRTDSI__OE_SEL1        (* (reg8 *) AND_Q__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AND_Q_PRTDSI__OUT_SEL0       (* (reg8 *) AND_Q__PRTDSI__OUT_SEL0) 
#define AND_Q_PRTDSI__OUT_SEL1       (* (reg8 *) AND_Q__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AND_Q_PRTDSI__SYNC_OUT       (* (reg8 *) AND_Q__PRTDSI__SYNC_OUT) 


#if defined(AND_Q__INTSTAT)  /* Interrupt Registers */

    #define AND_Q_INTSTAT                (* (reg8 *) AND_Q__INTSTAT)
    #define AND_Q_SNAP                   (* (reg8 *) AND_Q__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins AND_Q_H */


/* [] END OF FILE */
