/*******************************************************************************
* File Name: OR_B.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_OR_B_H) /* Pins OR_B_H */
#define CY_PINS_OR_B_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OR_B_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    OR_B_Write(uint8 value) ;
void    OR_B_SetDriveMode(uint8 mode) ;
uint8   OR_B_ReadDataReg(void) ;
uint8   OR_B_Read(void) ;
uint8   OR_B_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OR_B_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OR_B_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OR_B_DM_RES_UP          PIN_DM_RES_UP
#define OR_B_DM_RES_DWN         PIN_DM_RES_DWN
#define OR_B_DM_OD_LO           PIN_DM_OD_LO
#define OR_B_DM_OD_HI           PIN_DM_OD_HI
#define OR_B_DM_STRONG          PIN_DM_STRONG
#define OR_B_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OR_B_MASK               OR_B__MASK
#define OR_B_SHIFT              OR_B__SHIFT
#define OR_B_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OR_B_PS                     (* (reg8 *) OR_B__PS)
/* Data Register */
#define OR_B_DR                     (* (reg8 *) OR_B__DR)
/* Port Number */
#define OR_B_PRT_NUM                (* (reg8 *) OR_B__PRT) 
/* Connect to Analog Globals */                                                  
#define OR_B_AG                     (* (reg8 *) OR_B__AG)                       
/* Analog MUX bux enable */
#define OR_B_AMUX                   (* (reg8 *) OR_B__AMUX) 
/* Bidirectional Enable */                                                        
#define OR_B_BIE                    (* (reg8 *) OR_B__BIE)
/* Bit-mask for Aliased Register Access */
#define OR_B_BIT_MASK               (* (reg8 *) OR_B__BIT_MASK)
/* Bypass Enable */
#define OR_B_BYP                    (* (reg8 *) OR_B__BYP)
/* Port wide control signals */                                                   
#define OR_B_CTL                    (* (reg8 *) OR_B__CTL)
/* Drive Modes */
#define OR_B_DM0                    (* (reg8 *) OR_B__DM0) 
#define OR_B_DM1                    (* (reg8 *) OR_B__DM1)
#define OR_B_DM2                    (* (reg8 *) OR_B__DM2) 
/* Input Buffer Disable Override */
#define OR_B_INP_DIS                (* (reg8 *) OR_B__INP_DIS)
/* LCD Common or Segment Drive */
#define OR_B_LCD_COM_SEG            (* (reg8 *) OR_B__LCD_COM_SEG)
/* Enable Segment LCD */
#define OR_B_LCD_EN                 (* (reg8 *) OR_B__LCD_EN)
/* Slew Rate Control */
#define OR_B_SLW                    (* (reg8 *) OR_B__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OR_B_PRTDSI__CAPS_SEL       (* (reg8 *) OR_B__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OR_B_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OR_B__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OR_B_PRTDSI__OE_SEL0        (* (reg8 *) OR_B__PRTDSI__OE_SEL0) 
#define OR_B_PRTDSI__OE_SEL1        (* (reg8 *) OR_B__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OR_B_PRTDSI__OUT_SEL0       (* (reg8 *) OR_B__PRTDSI__OUT_SEL0) 
#define OR_B_PRTDSI__OUT_SEL1       (* (reg8 *) OR_B__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OR_B_PRTDSI__SYNC_OUT       (* (reg8 *) OR_B__PRTDSI__SYNC_OUT) 


#if defined(OR_B__INTSTAT)  /* Interrupt Registers */

    #define OR_B_INTSTAT                (* (reg8 *) OR_B__INTSTAT)
    #define OR_B_SNAP                   (* (reg8 *) OR_B__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins OR_B_H */


/* [] END OF FILE */
