/*******************************************************************************
* File Name: OR_A.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_OR_A_H) /* Pins OR_A_H */
#define CY_PINS_OR_A_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OR_A_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    OR_A_Write(uint8 value) ;
void    OR_A_SetDriveMode(uint8 mode) ;
uint8   OR_A_ReadDataReg(void) ;
uint8   OR_A_Read(void) ;
uint8   OR_A_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OR_A_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OR_A_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OR_A_DM_RES_UP          PIN_DM_RES_UP
#define OR_A_DM_RES_DWN         PIN_DM_RES_DWN
#define OR_A_DM_OD_LO           PIN_DM_OD_LO
#define OR_A_DM_OD_HI           PIN_DM_OD_HI
#define OR_A_DM_STRONG          PIN_DM_STRONG
#define OR_A_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OR_A_MASK               OR_A__MASK
#define OR_A_SHIFT              OR_A__SHIFT
#define OR_A_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OR_A_PS                     (* (reg8 *) OR_A__PS)
/* Data Register */
#define OR_A_DR                     (* (reg8 *) OR_A__DR)
/* Port Number */
#define OR_A_PRT_NUM                (* (reg8 *) OR_A__PRT) 
/* Connect to Analog Globals */                                                  
#define OR_A_AG                     (* (reg8 *) OR_A__AG)                       
/* Analog MUX bux enable */
#define OR_A_AMUX                   (* (reg8 *) OR_A__AMUX) 
/* Bidirectional Enable */                                                        
#define OR_A_BIE                    (* (reg8 *) OR_A__BIE)
/* Bit-mask for Aliased Register Access */
#define OR_A_BIT_MASK               (* (reg8 *) OR_A__BIT_MASK)
/* Bypass Enable */
#define OR_A_BYP                    (* (reg8 *) OR_A__BYP)
/* Port wide control signals */                                                   
#define OR_A_CTL                    (* (reg8 *) OR_A__CTL)
/* Drive Modes */
#define OR_A_DM0                    (* (reg8 *) OR_A__DM0) 
#define OR_A_DM1                    (* (reg8 *) OR_A__DM1)
#define OR_A_DM2                    (* (reg8 *) OR_A__DM2) 
/* Input Buffer Disable Override */
#define OR_A_INP_DIS                (* (reg8 *) OR_A__INP_DIS)
/* LCD Common or Segment Drive */
#define OR_A_LCD_COM_SEG            (* (reg8 *) OR_A__LCD_COM_SEG)
/* Enable Segment LCD */
#define OR_A_LCD_EN                 (* (reg8 *) OR_A__LCD_EN)
/* Slew Rate Control */
#define OR_A_SLW                    (* (reg8 *) OR_A__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OR_A_PRTDSI__CAPS_SEL       (* (reg8 *) OR_A__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OR_A_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OR_A__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OR_A_PRTDSI__OE_SEL0        (* (reg8 *) OR_A__PRTDSI__OE_SEL0) 
#define OR_A_PRTDSI__OE_SEL1        (* (reg8 *) OR_A__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OR_A_PRTDSI__OUT_SEL0       (* (reg8 *) OR_A__PRTDSI__OUT_SEL0) 
#define OR_A_PRTDSI__OUT_SEL1       (* (reg8 *) OR_A__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OR_A_PRTDSI__SYNC_OUT       (* (reg8 *) OR_A__PRTDSI__SYNC_OUT) 


#if defined(OR_A__INTSTAT)  /* Interrupt Registers */

    #define OR_A_INTSTAT                (* (reg8 *) OR_A__INTSTAT)
    #define OR_A_SNAP                   (* (reg8 *) OR_A__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins OR_A_H */


/* [] END OF FILE */
