/*******************************************************************************
* File Name: FF_QB.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_FF_QB_H) /* Pins FF_QB_H */
#define CY_PINS_FF_QB_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "FF_QB_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    FF_QB_Write(uint8 value) ;
void    FF_QB_SetDriveMode(uint8 mode) ;
uint8   FF_QB_ReadDataReg(void) ;
uint8   FF_QB_Read(void) ;
uint8   FF_QB_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define FF_QB_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define FF_QB_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define FF_QB_DM_RES_UP          PIN_DM_RES_UP
#define FF_QB_DM_RES_DWN         PIN_DM_RES_DWN
#define FF_QB_DM_OD_LO           PIN_DM_OD_LO
#define FF_QB_DM_OD_HI           PIN_DM_OD_HI
#define FF_QB_DM_STRONG          PIN_DM_STRONG
#define FF_QB_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define FF_QB_MASK               FF_QB__MASK
#define FF_QB_SHIFT              FF_QB__SHIFT
#define FF_QB_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define FF_QB_PS                     (* (reg8 *) FF_QB__PS)
/* Data Register */
#define FF_QB_DR                     (* (reg8 *) FF_QB__DR)
/* Port Number */
#define FF_QB_PRT_NUM                (* (reg8 *) FF_QB__PRT) 
/* Connect to Analog Globals */                                                  
#define FF_QB_AG                     (* (reg8 *) FF_QB__AG)                       
/* Analog MUX bux enable */
#define FF_QB_AMUX                   (* (reg8 *) FF_QB__AMUX) 
/* Bidirectional Enable */                                                        
#define FF_QB_BIE                    (* (reg8 *) FF_QB__BIE)
/* Bit-mask for Aliased Register Access */
#define FF_QB_BIT_MASK               (* (reg8 *) FF_QB__BIT_MASK)
/* Bypass Enable */
#define FF_QB_BYP                    (* (reg8 *) FF_QB__BYP)
/* Port wide control signals */                                                   
#define FF_QB_CTL                    (* (reg8 *) FF_QB__CTL)
/* Drive Modes */
#define FF_QB_DM0                    (* (reg8 *) FF_QB__DM0) 
#define FF_QB_DM1                    (* (reg8 *) FF_QB__DM1)
#define FF_QB_DM2                    (* (reg8 *) FF_QB__DM2) 
/* Input Buffer Disable Override */
#define FF_QB_INP_DIS                (* (reg8 *) FF_QB__INP_DIS)
/* LCD Common or Segment Drive */
#define FF_QB_LCD_COM_SEG            (* (reg8 *) FF_QB__LCD_COM_SEG)
/* Enable Segment LCD */
#define FF_QB_LCD_EN                 (* (reg8 *) FF_QB__LCD_EN)
/* Slew Rate Control */
#define FF_QB_SLW                    (* (reg8 *) FF_QB__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define FF_QB_PRTDSI__CAPS_SEL       (* (reg8 *) FF_QB__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define FF_QB_PRTDSI__DBL_SYNC_IN    (* (reg8 *) FF_QB__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define FF_QB_PRTDSI__OE_SEL0        (* (reg8 *) FF_QB__PRTDSI__OE_SEL0) 
#define FF_QB_PRTDSI__OE_SEL1        (* (reg8 *) FF_QB__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define FF_QB_PRTDSI__OUT_SEL0       (* (reg8 *) FF_QB__PRTDSI__OUT_SEL0) 
#define FF_QB_PRTDSI__OUT_SEL1       (* (reg8 *) FF_QB__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define FF_QB_PRTDSI__SYNC_OUT       (* (reg8 *) FF_QB__PRTDSI__SYNC_OUT) 


#if defined(FF_QB__INTSTAT)  /* Interrupt Registers */

    #define FF_QB_INTSTAT                (* (reg8 *) FF_QB__INTSTAT)
    #define FF_QB_SNAP                   (* (reg8 *) FF_QB__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins FF_QB_H */


/* [] END OF FILE */
